Skip to main content
GET
/
api
/
billing
/
status
Get subscription status
curl --request GET \
  --url https://api.example.com/api/billing/status \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "plan_tier": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "billing_interval": "<string>",
  "trial_ends_at": "2023-11-07T05:31:56Z",
  "current_period_end": "2023-11-07T05:31:56Z",
  "canceled_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Subscription details returned by GET /api/billing/status.

id
string<uuid>
required
plan_tier
string
required
status
string
required
created_at
string<date-time>
required
billing_interval
string | null
trial_ends_at
string<date-time> | null
current_period_end
string<date-time> | null
canceled_at
string<date-time> | null